Subject: Re: bug#33397: "guix environment" does not warn about stopped jobs

From: Brett Gilio <[email-masked]>
Date: Mon, 23 Dec 2019 19:54:06 -0600

swedebugia <[email-masked]> writes:

> Hi
>
> I use emacs in a terminal to hack on packages.
> I start an emacs, press C-z to pause it after trying something
> in bash I then build the package from the source tree
> press fg to return to emacs
> and so forth.
>
> Typing guix environment will enter a new environment where apparently
> my paused emacs is not available.
>
> Is this a bug?
> Probably not.
>
> Should we make guix environment warn/refuse to create the env. if
> stopped jobs exist?
>
> Yes, I think so.
>
> What do you think?

This is not a bug, as far as I can tell. Especially with the recent
proposed and adopted changes to how jobs function in `guix environment`
you might have better luck with this issue now.

I am closing this in the mean time, but feel free to open a /new/ bug
report documenting the expected and true behaviors if you wish.

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>